# Chance Dart - Beta

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->

[![All Contributors](https://img.shields.io/badge/all_contributors-9-orange.svg?style=flat-square)](#contributors-)

<!-- ALL-CONTRIBUTORS-BADGE:END -->

<p align="center">
  <img src="https://user-images.githubusercontent.com/32166619/200453125-78c910e9-1400-4641-8720-6efe36b06b40.png" alt="docs.page" height="120" /> <br /><br />
  <span>Random generator helper for Dart</span>
</p>

<p align="center">
  <a href="https://github.com/Yczar/chance-dart">Homepage</a> &bull; <a href="https://docs.page/Yczar/chance-dart">Documentation</a>
</p>
Check back in in few days for a stable version

[![awesomeness](https://img.shields.io/badge/awesomeness-maximum-red.svg)](https://github.com/yczar/chance-dart)
[![style: very good analysis](https://img.shields.io/badge/style-very_good_analysis-B22C89.svg)](https://pub.dev/packages/very_good_analysis)
<br><br>

## Overview

Chance Dart is a free Open Source project that lets you create random strings, integers, and other things to help with tiresome tasks, especially when building automated tests or wherever else you require anything random.

Data generation is an important part of many projects especially projects that requires code generation and mocking of data.

Chance Dart is developed to deliver instant values to ensure speediness in development process and also reduce monotony.

Many more details on [docs](https://github.com/Yczar/chance-dart) but this single
library can generate random numbers, characters, strings, names, addresses,
dice, and pretty much anything else.

It includes the basic building blocks for all these items and is built on top
of a Mersenne Twister so it can generate these things with repeatability, if
desired.

## Usage

See the [full docs](https://docs.page/Yczar/chance-dart) for details on installation and usage.

## Dependent tools

- [Chance Dart CLI](https://github.com/Yczar/chance-dart-cli) - Use Chance on the command line.

_Know a library that uses Chance that isn't here? Update the README and submit a PR!_

## Author

### [Babalola Ayotomide(Czar)](https://www.github.com/Yczar)

### [Follow on Twitter](https://twitter.com/czarify)

Please feel free to reach out to me if you have any questions or suggestions.

## How to Contribute

To start making contributions please refer to [`Contribution Docs`](https://docs.page/Yczar/chance-dart/contributing).

This project is licensed under the [MIT License](http://en.wikipedia.org/wiki/MIT_License) so feel free to hack away :)

Proudly written in Nigeria.

## Code Style

**i. Naming Convention:**

| Naming Convention                                                                            | Effective Style | Example                     |
| -------------------------------------------------------------------------------------------- | --------------- | --------------------------- |
| Classes, enum types,typedefs,and type parameters,etensions                                   | PascalCase      | An example is ChanceField   |
| Libraries, packages, directories, and source files, import prefixes                          | snake_case      | An example is currency_list |
| Class members, top-level definitions, variables, parameters, and named parameters, constants | camelCase       | An example is currencyList  |

**ii. Style Rule**

- Always declare return types in your methods.
- Put required named parameters first.
- Always require non-null named parameters (@required).
- Indent your code where appropriate `(e.g Use two-space indentation.)`

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center"><a href="https://github.com/OokanNumber1"><img src="https://avatars.githubusercontent.com/u/88977598?v=4?s=100" width="100px;" alt="Mubaraq A. LAWAL"/><br /><sub><b>Mubaraq A. LAWAL</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=OokanNumber1" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/Sir-Nath"><img src="https://avatars.githubusercontent.com/u/78961075?v=4?s=100" width="100px;" alt="Peter Nathaniel"/><br /><sub><b>Peter Nathaniel</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=Sir-Nath" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/Yczar"><img src="https://avatars.githubusercontent.com/u/32166619?v=4?s=100" width="100px;" alt="Ayotomide"/><br /><sub><b>Ayotomide</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=Yczar" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/developerjamiu"><img src="https://avatars.githubusercontent.com/u/50176100?v=4?s=100" width="100px;" alt="Jamiu Okanlawon"/><br /><sub><b>Jamiu Okanlawon</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=developerjamiu" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/yusuf-umarr"><img src="https://avatars.githubusercontent.com/u/76850966?v=4?s=100" width="100px;" alt="Yusuf Umar"/><br /><sub><b>Yusuf Umar</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=yusuf-umarr" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/Tamunorth"><img src="https://avatars.githubusercontent.com/u/77057934?v=4?s=100" width="100px;" alt="Tamunorth"/><br /><sub><b>Tamunorth</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=Tamunorth" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/calebjesusegun"><img src="https://avatars.githubusercontent.com/u/13627142?v=4?s=100" width="100px;" alt="Caleb Jesusegun"/><br /><sub><b>Caleb Jesusegun</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=calebjesusegun" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center"><a href="https://github.com/7H3-PR073C70R"><img src="https://avatars.githubusercontent.com/u/52224298?v=4?s=100" width="100px;" alt="Oluwatobi D Okanlawon"/><br /><sub><b>Oluwatobi D Okanlawon</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=7H3-PR073C70R" title="Code">💻</a></td>
      <td align="center"><a href="https://github.com/mariamadebolahamzat"><img src="https://avatars.githubusercontent.com/u/40490934?v=4?s=100" width="100px;" alt="Mariam Hamzat"/><br /><sub><b>Mariam Hamzat</b></sub></a><br /><a href="https://github.com/Yczar/chance-dart/commits?author=mariamadebolahamzat" title="Code">💻</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
